package bus.controller.biz;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageSerializable;
import bus.model.dto.BUserPreDto;
import bus.model.dto.BUserPrePageDto;
import bus.model.vo.BUserPreVo;
import bus.service.BUserPreService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import com.qzwisdom.qzframework.core.tool.base.controller.BaseController;



/**
 * @Program: bus
 * @Description: 描述
 * @Author: zy
 * @Date: 2025-03-17 23:24:41
 **/
@Slf4j
@CrossOrigin
@RestController
@Api(tags = "bUserPre接口")
@RequestMapping(value="/bUserPre")
public class BUserPreController implements BaseController {

    @Autowired
    private BUserPreService bUserPreService;



    /**
     * 详情
     * @param id
     * @return
     */
    @ApiOperation("详情")
    @GetMapping(value = "getDetailById")
    public BUserPreVo getDetailById(@RequestParam String id){
        return doSingle(bUserPreService.getDetailById(id),BUserPreVo::new);
    }

	/**
     * 保存
     * @param dto
     * @return
     */
    @ApiOperation("保存")
    @PostMapping(value = "save")
    public String save(@RequestBody BUserPreDto dto){
		bUserPreService.save(dto);
        return "保存成功";
    }

    /**
    * 列表
    * @param dto
    * @return
    */
    @ApiOperation("列表")
    @PostMapping(value = "list")
    public PageSerializable<BUserPreVo> list(@RequestBody BUserPrePageDto dto){
       PageHelper.startPage(dto.getPageNum(),dto.getPageSize());
       return new PageSerializable<>(bUserPreService.list(dto));
    }

	/**
     * 修改
     * @param dto
     * @return
     */
    @ApiOperation("修改")
    @PostMapping(value = "update")
    public String update(@RequestBody BUserPreDto dto){
		bUserPreService.update(dto);
        return "修改成功";
    }

	/**
     * 删除
     * @param id
     * @return
     */
    @ApiOperation("删除")
    @GetMapping(value = "deleteById")
    public String deleteById(@RequestParam String id){
		bUserPreService.delete(id);
        return "删除成功";
    }

}
